import store from '../store'

export function getGreatestRole() {
  const roles = store.state.user.info.roles
  if (roles) {
    if (roles.indexOf(1) > -1 || roles.indexOf('1') > -1) {
      return 1
    }
    if (roles.indexOf(2) > -1 || roles.indexOf('2') > -1) {
      return 2
    }
    if (roles.indexOf(3) > -1 || roles.indexOf('3') > -1) {
      return 3
    }
    if (roles.indexOf(5) > -1 || roles.indexOf('5') > -1) {
      return 5
    }
    if (roles.indexOf(8) > -1 || roles.indexOf('8') > -1) {
      return 8
    }
    return 99
  }
}

export function allWardsVisible() {
  const roles = store.state.user.info.roles
  if (roles) {
    return roles.indexOf(1) > -1 || roles.indexOf(2) > -1 || roles.indexOf(8) > -1
  }
  return false
}

export function isInpatientStaff() {
  const roles = store.state.user.info.roles
  if (roles) {
    return roles.indexOf(3) > -1 || roles.indexOf(4) > -1
  }
  return false
}

export function recoveryTradePermission() {
  const roles = store.state.user.info.roles
  if (roles) {
    return roles.indexOf(41) > -1
  }
  return false
}
